import { apiResquest,apiResquestForm,apiResquestJsonList,apiResquestFormVideo,apiResquestTimer } from '@/api/request/request.js'

export const demo1 = (data) => {
	return apiResquest({
		url: `/system/dept/dropList`,
		method: 'POST',
		data: { ...data }
	})
};

export const demo2 = (data) => {
	return apiResquest({
		url: `/laboratory/applet/getSubDetailInfo`,
		method: 'GET',
		data: data,
	})
};

//称重登记列表
export const hwmsAppWasteOrderWasteList = (data) => {
	return apiResquest({
		url: `/hwms/app/wasteOrder/wasteList`,
		method: 'POST',
		data: { ...data }
	})
};
//称重登记详情
export const hwmsAppWasteOrderWasteDetail = (data) => {
	return apiResquest({
		url: `/hwms/app/wasteOrder/wasteDetail`,
		method: 'POST',
		data: { ...data }
	})
};
//危废登记添加-前置留痕
export const hwmsAppRegisterOrderPresign = (data) => {
	return apiResquest({
		url: `/hwms/app/registerOrder/presign`,
		method: 'POST',
		data: { ...data }
	})
};
//危废登记添加
export const hwmsAppRegisterOrderAdd = (data) => {
	return apiResquest({
		url: `/hwms/app/registerOrder/add`,
		method: 'POST',
		data: { ...data }
	})
};
//危废登记单详情
export const hwmsAppRegisterOrderDetail = (data) => {
	return apiResquest({
		url: `/hwms/app/registerOrder/detail`,
		method: 'POST',
		data: { ...data }
	})
};

//获取危废回收实验室列表
export const hwmsAppWasteOrderList = (data) => {
	return apiResquest({
		url: `/hwms/app/wasteOrder/list`,
		method: 'POST',
		data: { ...data }
	})
};

//获取危废回收实验室列表-提除已处理
export const hwmsAppWasteOrderFillWasteList = (data) => {
	return apiResquest({
		url: `/hwms/app/wasteOrder/fillWasteList`,
		method: 'POST',
		data: { ...data }
	})
};
//危废报备添加
export const hwmsAppWasteOrderAdd = (data) => {
	return apiResquest({
		url: `/hwms/app/wasteOrder/add`,
		method: 'POST',
		data: { ...data }
	})
};
//查询报备人已经报备的项目
export const hwmsAppWasteOrderWasteItems = (data) => {
	return apiResquest({
		url: `/hwms/app/wasteOrder/wasteItems`,
		method: 'POST',
		data: { ...data }
	})
};
//历史记录列表
export const hwmsAppWasteOrderHistoryList = (data) => {
	return apiResquest({
		url: `/hwms/app/wasteOrder/historyList`,
		method: 'POST',
		data: { ...data }
	})
};
//历史记录详情
export const hwmsAppWasteOrderHistoryDetail = (data) => {
	return apiResquest({
		url: `/hwms/app/wasteOrder/historyDetail`,
		method: 'POST',
		data: { ...data }
	})
};
//权限-申请列表
export const hwmsAppRegisterApprovalApplyList = (data) => {
	return apiResquest({
		url: `/hwms/app/registerApproval/applyList`,
		method: 'POST',
		data: { ...data }
	})
};
//权限-申请
export const hwmsAppRegisterApprovalAdd = (data) => {
	return apiResquest({
		url: `/hwms/app/registerApproval/add`,
		method: 'POST',
		data: { ...data }
	})
};
// 查询实验室与人员是否有报备权限
export const hwmsAppRegisterApprovalFindBySubIdAndUserId = (data) => {
	return apiResquest({
		url: `/hwms/app/registerApproval/findBySubIdAndUserId`,
		method: 'POST',
		data: { ...data }
	})
};
//权限-下拉列表
export const hwmsPermConfigList = (data) => {
	return apiResquest({
		url: `/hwms/permConfig/list`,
		method: 'POST',
		data: { ...data }
	})
};
//报备登记人员审核
export const hwmsAppRegisterApprovalApply = (data) => {
	return apiResquest({
		url: `/hwms/app/registerApproval/apply`,
		method: 'POST',
		data: { ...data }
	})
};
//查询-回收报备/登记权限
export const hwmsAppRegisterApprovalMenuShow = (data) => {
	return apiResquest({
		url: `/hwms/app/registerApproval/menuShow`,
		method: 'POST',
		data: { ...data }
	})
};
//获取回收人员签名列表
export const hwmsSupplierUserSignature = (data) => {
	return apiResquest({
		url: `/hwms/supplierUser/signature`,
		method: 'POST',
		data: { ...data }
	})
};
//查询报备配置
export const hwmsRecycleConfigList = (data) => {
	return apiResquest({
		url: `/hwms/recycleConfig/list`,
		method: 'POST',
		data: { ...data }
	})
};